Welcome

VisualGPSXP Help

Connect to a GPS receiver

Main Window

NMEA

Order Form

Welcome to VisualGPSXP multipurpose GPS utility. Please note that VisualGPSXP uses specific NMEA sentences to display data graphically. For more information on NMEA, please see the NMEA section.

VisualGPSXP is a general purpose utility for monitoring the output of a GPS receiver. Using the NMEA data from the GPS receiver, VisualGPSXP will display various statuses graphically. Tools such as a survey utility average the position and shows accuracy of the GPS receiver in a static application. Other features such as analog gauges show altitude, speed, vertical speed and direction. One added feature is the capability to connect and share a GPS receiver over the Internet.

Features:

  • User definable window sizes and position
  • Multiple connection paths to a GPS receiver connection
  • Connect using an RS-232 port
  • Connect using the network/Internet
  • Connect or read data directly from a NMEA text file
  • Analog display instruments
  • Altimeter
  • Speedometer
  • Compass
  • Vertical Speed
  • Graphical GPS status
  • Signal quality
  • Azimuth/Elevation plot
  • GPS Analyses
  • Monitor NMEA data
  • Static position averaging and statistics
  • Antenna mask determination

VisualGPSXP is subject to the license agreement and disclaimer


About VisualGPSXP

VisualGPSXP Copyright © 1998 - 2004 VGPS

P.O. Box 3791
Orange, California 92857
USA

Web: www.visualgps.net

Order info


GPS Connect

Connect toolbar

There are several ways to connect to a GPS receiver using VisualGPSXP.

RS-232 Communication Port

VisualGPSXP has the ability to connect to several data sources that contain GPS data. The most common is through the RS-232 port. Most GPS receivers have a RS-232 communications port where the NMEA data is transmitted through. VisualGPSXP uses the RS-232 connection by default. Standard baud rate for NMEA is 4800 baud. however, VisualGPSXP has the ability to use any baud rat. See the communication settings section for more information.

File

Another means of connecting to data is simply a file. NMEA data is in text form and can be logged using VisualGPSXP or any other terminal program capable of storing RS-232 data to a file. VisualGPSXP can read through a NMEA file and use the data just as it would connected through a RS-232 communications port.

Network

VisualGPSXP had one other way of reading a NMEA stream. This method involves using a network. Since NMEA data is formatted, it is possible to stream NMEA data through a TCP/IP network. VisualGPSXP has the ability to take a NMEA stream from the RS-232 port or from a file and send it through the network as well as read a NMEA stream from the network.

For example, you may want to provide an acquaintance with NMEA data in real time using the network. Simply connect your GPS receiver to the serial port and enable VisualGPS network server. Your acquaintance would then use his copy of VisualGPSXP to connect to your server by using the network connect feature. VisualGPSXP can stream data to more than one computer allowing many users to view the same data in real time.


Registration/Order Information

You can register VisualGPSXP using the Internet or by sending a check to VGPS. International orders please use the Internet to order VisualGPSXP. For up-to-date information, visit www.visualgps.net/VisualGPSXP.

Ordering by Check:

To order by check, send a completed order form and a check payable to VGPS P.O. Box 3791, Orange, California 92857. Payments must be in US dollars drawn on a US bank. Click here for the order form.

Credit Card Orders, Internet Orders and International Orders

You can place secure credit card orders on the Internet using the Order link on the web site:

http://www.visualgps.net/VisualGPSXP

Pricing:

VisualGPSXP Single copy $25.00USD

Site licenses are available

Prices guaranteed through December 2004


Disclaimer

DISCLAIMER

This disclaimer is subject to the LICENSE agreement.

In no event shall VGPS be liable for any loss of profit or any other commercial or private damage, including but not limited to special, incidental, consequential or other damages, resulting from or in any way connected with the use of this software. VGPS specifically disclaims any other warranties expressed or implied, including but not limited to the implied warranties of merchantability and fitness for a particular use.

WARNING: Do not operate VisualGPSXP while driving a vehicle. VisualGPSXP is not designed as a navigational aid. Failure to pay full attention while operating the vehicle and road conditions while operating the vehicle could result in an accident or collision with property damage and personal injury.

In addition, in no event does VGPS authorize you to use VisualGPSXP in applications or systems where VisualGPSXP's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. VisualGPSXP is not attended as a navigational aid nor should it be use in any moving vehicles. This includes land, sea or air vehicles. Any such use by you is entirely at your own risk, and you agree to hold VGPS harmless from any claims or losses relating to such unauthorized use.


License Agreement

VisualGPSXP License
VGPS

This license is subject to the DISCLAIMER.

You should carefully read the following terms and conditions before using this software. Unless you have a different license agreement signed by VGPS your use, distribution, or installation of this copy of VisualGPSXP indicates your acceptance of this License.

If you do not agree to any of the terms of this License, then do not install, distribute or use this copy of VisualGPSXP. If you paid VGPS for this copy individually, you may return it unused, within thirty (30) days after purchase, for a full refund of your payment.

This copy of VisualGPSXP may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. This is not a concurrent use license.

You may access this copy through a network, provided that you have obtained an individual VisualGPSXP license for each workstation that will access VisualGPSXP through the network. For instance, if 8 different workstations will access VisualGPSXP on the network, each workstation must have its own VisualGPSXP license, regardless of whether they use VisualGPSXP at different times or concurrently.

This software, and all accompanying files, data and materials, is distributed "AS IS" and with no warranties of any kind, whether express or implied. Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. This disclaimer of warranty constitutes an essential part of the agreement.

Any liability of VGPS will be limited exclusively to refund of purchase price. In addition, in no event shall VGPS, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any incidental, consequential, or punitive damages whatsoever relating to the use of VisualGPSXP, or your relationship with VGPS.

In addition, in no event does VGPS authorize you to use VisualGPSXP in applications or systems where VisualGPSXP's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. VisualGPSXP is not attended as a navigational aid nor should it be use in any moving vehicles. This includes land, sea or air vehicles. Any such use by you is entirely at your own risk, and you agree to hold VGPS harmless from any claims or losses relating to such unauthorized use.

This Agreement is the complete statement of the Agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. The laws of the State of California shall govern this Agreement. Exclusive jurisdiction and venue for all matters relating to this Agreement shall be in courts and located in the State of California, and you consent to such jurisdiction and venue.

All rights of any kind in VisualGPSXP which are not expressly granted in this License are entirely and exclusively reserved to and by VGPS. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble or create derivative works based on VisualGPSXP. There are no third party beneficiaries of any promises, obligations or representations made by VGPS herein.


Evaluation License

VisualGPSXP Copyright © 1998-2004 by VGPS

All rights reserved.

This license applies to the evaluation version of VisualGPSXP. If you do not have an evaluation version of VisualGPSXP, see the section titled VisualGPSXP License Agreement.

VisualGPSXP License
Evaluation Version
VGPS

By using, copying, transmitting, distributing or installing VisualGPSXP, you agree to all of the terms of this License. If you do not agree to any of the terms of this License, then do not use, copy, transmit, distribute, or install VisualGPSXP.

This is not free software. Subject to the terms below, you are hereby licensed by VGPS to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee of $25 is required. Payments must be in US dollars drawn on a US bank, and should be sent to VGPS, P.O. Box 3791 Orange, California 92857 USA. See the VGPS web site at http://www.visualgps.net/VisualGPSXP for information about online ordering and quantity discounts.

Unregistered use of VisualGPSXP after the 30-day evaluation period is in violation of U.S. and international copyright laws.

You may, without making any payment to VGPS:

a)give exact copies of this evaluation version of VisualGPSXP personally to anyone, except for the purpose of extending their 30 day evaluation period;

b)distribute exact copies of this evaluation version of VisualGPSXP, if done exclusively through electronic channels; and

c)make as many exact copies of this evaluation version of VisualGPSXP as you wish, for purposes of distribution as described in (a) and (b) above.

You are specifically prohibited from charging, or requesting donations, for any copies, however made, and from distributing such copies with other products of any kind, commercial or otherwise, without prior written permission from VGPS. VGPS reserves the right to revoke the above distribution rights at any time, for any or no reason.

This software, and all accompanying files, data and materials, are distributed "AS IS" and with no warranties of any kind, whether express or implied. Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. This disclaimer of warranty constitutes an essential part of the agreement. In no event shall VGPS, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any incidental, consequential, or punitive damages whatsoever relating to the use of VisualGPSXP, or your relationship with VGPS.

In addition, in no event does VGPS authorize you to use VisualGPSXP in applications or systems where VisualGPSXP's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use by you is entirely at your own risk, and you agree to hold VGPS harmless from any claims or losses relating to such unauthorized use.

This Agreement is the complete statement of the Agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. The laws of the State of California shall govern this Agreement. Exclusive jurisdiction and venue for all matters relating to this Agreement shall be in courts and located in the State of California, and you consent to such jurisdiction and venue.

All rights of any kind in VisualGPSXP which are not expressly granted in this License are entirely and exclusively reserved to and by VGPS. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble or create derivative works based on VisualGPSXP. There are no third party beneficiaries of any promises, obligations or representations made by VGPS herein.


Main Window

The main window is where all of the sub windows are organized. VisualGPSXP will remember all of the window positions as well as tool bar and status bar status.

Tool-bar

Using the view menu individual toolbars can be enabled or disabled. Also, each toolbar can be movable by grabbing the toolbar grip with the mouse and dragging it to another border or released to float in space.

Status-bar

The status bar shows several statuses. Below is a diagram of each status zone and their meaning:

  1. General status/help depending where mouse is located
  2. NMEA data record status
  3. GPS quality indicator: This indicator is extracted from the GPS quality indicator field in the GGA message. Below is a list of possible readings.

    • Fix not available
    • GPS SPS Mode, fix valid
    • Differential GPS
    • GPS PPS Mode
    • Real Time Kinematic (integer)
    • Float RTK
    • Estimated (dead reckoning) mode
    • Manual Input Mode
    • Simulator mode

  4. Fix status: 2D 3D, not available
  5. Connection status: RS-232, Lan, file or none
  6. Number of satellites tracked


Altimeter Window

The Altimeter Window visually displays the altitude using an analog meter. This window may be sized and stretched to fit within the desired area. Using the right mouse button will display various altimeter settings.

Altimeter Settings:

Enable Filter

Selecting this option will enable or disable the Altimeter filter. This selection acts as a toggle. Please see the Instrument Filters section for more information on filters.

NMEA

The altimeter uses the following NMEA 0183 sentences:

GGA - Global Positioning System Fix Data message


Attitude Window

The attitude window is a specialized window that uses special proprietary NMEA sentences. Currently this window is nonfunctional. However in future releases, this window will be fully functional and documentation for the NMEA sentences will be provided.

The attitude window also uses special NMEA commands that are provided by the user to control the pitch and role. Please see VisualGPSXP Extended Proprietary NMEA Message Protocol for more information.


Azimuth Elevation Window

The Azimuth and Elevation window shows satellite position and the physical antenna mask angle. The satellite position is denoted using azimuth, 0° to 359°, and elevation, 0° to 90° where 90° is the horizon. The satellites are also color coded to show which is part of the navigation solution and tracked. When the satellite is highlighted in color shows that it is being used for a navigation solution and tracked. When the satellite is gray shows that the satellite is not tracked.

Like the Signal Quality Window, the Azimuth & elevation Window will use the GPGSV NMEA command to extract azimuth and elevation for each satellite that is in view. Each satellite is identified by its Pseudo Random Number (PRN) with the azimuth as the letter ‘A’ and elevation by the letter ‘E’.

The color of the text for each satellite indicates whether the satellite is used in the position solution. When the text is in red, the satellite is used in the solution. When the text is in gray, the satellite is not used in the solution.

Physical Elevation Mask Angle

In stationary or static applications it is necessary to place the antenna where it can get a clear view of the sky. Sometimes there are obstructions to the antenna and knowing the effect on the tracking of satellites is essential. The Azimuth and Elevation Window has the ability to show graphically the elevation mask angle. This is the blue jagged line that is built by using satellite information. Using the information from the SNR and solution status, a graphical representation of the mask angle is built. This may take as long a 24 hours of tracking. Below is an example of how the physical elevation mask looks after 16 hours of acquisition on the West Coast on North America. See Azimuth and Elevation Properties for more information on configuration settings to the physical mask angle.

Printing

The Physical Elevation Mask Angle data can be saved to disk and printed. Saving the mask data will allow viewing of the data at a later date. The Auto Load feature will load the previously saved mask data upon returning to VisualGPSXP application program. See the Azimuth and Elevation Properties for more information.

Printing consists of a azimuth and elevation plot of the physical mask angle. This is useful when analyzing an antenna installation and its physical obstructions.

See Also

Signal Quality

Azimuth and Elevation Properties


Azimuth & Elevation Properties

The Azimuth and Elevation Window will show the Physical GPS elevation mask angle using a blue line. This is a way for stationary stations to check for obstructions to the GPS antenna. To calculate the physical elevation mask, VisualGPSXP will look at both the signal quality (SNR) and the solution flag and check if they fall within the criteria of a valid satellite. A valid satellite is when the SNR value is larger than the SNR Threshold and that the solution flag is set to true.

Not all GPS receivers will return the exact SNR value for a given position and antenna. Each manufacture has their way of calculating this value, which can vary. The NMEA specification does specify that the SNR (C/No) will fall between 0 and 99 dB. For example, Garmin GPS receivers it has been observed that the SNR value will fall between 30 and 55 where 30 is loss of signal and 55 shows highest signal quality.

For more information in SNR values, please see SNR (C/No) Values.

Physical GPS Mask Angle Tab

SNR Threshold

The SNR Threshold will set the elevation threshold. This threshold is used in determining a usable satellite. Satellites with SNR values less than the threshold are ignored. By setting the SNR threshold, the physical elevation mask angle can be detected and plotted. When this value is set to a high SNR value, the elevation mask may be more apparent in less time.

Comment

When printing the elevation mask angle graph, this comment will be displayed at the top of the page. This is a good place to describe the plot and add notes.

Auto Load Tab

Enable Auto Load

Sometimes it is desirable to have a mask file load automatically when the Azimuth and Elevation window is opened. The Enable Auto Load check will enable loading of a Physical Mask Angle file the next time the Azimuth and Elevation is re-opened. Use the Browse button to specify a file to load.


Compass Window

The compass window displays the current heading (true North) reported by the GPS receiver using various compass styles. This window may be sized and stretched to fit within the desired area. The right mouse button will display various setting.

Compass Style, Normal

The normal compass style displays a cylindrical or linear compass.

Compass Style, Bearing

The bearing compass is a radial rotating ring style where the direction of travel (course over ground) is at the top. It also encompasses a bearing pointer. This pointer will point to the direction of the distention waypoint. For the bearing pointer to function, the distention waypoint must be enabled in the GPS receiver. This compass will also show the name and distance of the destination waypoint.

Compass Style, Simple

The simple compass is a radial rotating ring style where the direction of travel (course over ground) is at the top and the heading is displayed in the center.

Enable Filter

Selecting this option will enable or disable the compass filter. This selection acts as a toggle. Please see the Instrument Filters section for more information on filters.

NMEA

The compass uses the following NMEA 0183 messages:

RMC - Recommended Minimum Specific GNSS Data

RMB - Recommended Minimum Navigation Information


Navigation Window

The Navigation Window displays position data from the GPS receiver. This data includes latitude, longitude and altitude. To setup positional units, please see the General Settings section.


NMEA Monitor Window

The NMEA monitor window will allow you to monitor the data from the GPS receiver in real time. Any data received from the receiver is piped into this window and no filtering of any kind is performed. If the GPS receiver outputs more data than is required by VisualGPSXP, that data will be displayed.

This window may be sized and stretched to fit within the desired area. Using the right mouse button over the window will display various settings. These settings are described below.

Pause

Stops data from being display and freezes the window. This will allow close review of the data.

Erase Screen

Erases the current data in the window


Signal Quality Window

The Signal Quality Window uses the GPGSV NMEA message to extract the signal to noise ratio (SNR C/No) which is specified as a number from 0 - 99 dB. Depending on the number of satellites in view, the number of SNR bars will vary. At the top of each SNR bar, the raw SNR value is displayed. Full scale is considered any SNR value of 50 dB or above. At the bottom of each bar shows the satellite ID or Pseudo Random Number.

The signal quality bar will change its color depending if the satellite is used in the navigation solution returned by the GPGSA NMEA message. If the satellite is not used in the position fix solution, the signal quality bar will be in gray. If the satellite is used in the solution, the signal quality bar will be blue.

SNR values may vary for different GPS manufactures. Please see the SNR (C/No) section for more details.

See also Signal Quality Properties


Speedometer Window

The Speedometer Window visually displays the speed over ground using an analog meter. This window may be sized and stretched to fit within the desired area. Using the right mouse button will display various settings.

Speedometer Settings:

Max Speed

Use this selection to set the maximum speed the speedometer will display.

Enable Filter

Selecting this option will enable or disable the Speedometer filter. This selection acts as a toggle. Please see the Instrument Filters section for more information on filters.

Note:

To change the speed units, select the Settings menu item and select General Settings. See the General Settings section for more information.

NMEA

The speedometer uses the following NMEA 0183 sentences:

RMC - Recommended Minimum Specific GNSS Data


Survey Window

The Survey Window is one of the more interesting windows of VisualGPS. This window will log latitude, longitude and altitude displaying data graphically.

The Survey Window is split into three frames. The first, at the top, is the Survey Frame. Here, a plot of past position history is displayed graphically and is known as paths. These paths can be saved to disk and viewed at a latter time.

The frame directly below the Survey Frame is the Altitude Frame. This frame simply plots the altitude.

To the right of the Altitude Frame is the Position Statistics frame. Displayed here are position average and Dilution of precision or DOPs.

Statistical Data

VisualGPS has the ability to average position and altitude displaying the data. VisualGPS uses two methods of averaging, standard running average (sum of the data / samples) and a curve fitting or a Least Squares best fit method. These averages are both displayed graphically in the Survey frame and in text in the Statistics frame.

The standard deviation shows how much the position is moving around. Graphically, the standard deviation is displayed in the Survey Frame and the Elevation Frame. For a normal curve, 68.27% (one sigma) of the cases are included within the areas (the thick circles in the Survey Frame and between the two thick black lines in the Elevation Frame) on the graph. Using the standard deviation is a good way to see how the effects of SA (Selective Availability) has on position. Smaller numbers of standard deviations indicates that SA may be turned down.

Mouse

By moving the mouse over the survey frame, the latitude and longitude are displayed at the bottom of the main application window. Clicking the left mouse button will place a distance marker where the current mouse position is used as a distance measurement. The distance is also displayed at the bottom the application main window.

The right mouse button will enable a pop-up menu where individual properties can be changed. See the Survey Properties section for more information.

Printing

The survey window supports printing and print previewing. Both the survey path and the altitude are included in the printing. To print a survey plot, make sure the survey window is selected. You can do this by clicking your mouse anywhere on the survey window. Next, select Print from the file menu. Follow the instructions in the preceding dialog boxes.

See Also

Survey Properties


Vertical Speed Window

The Vertical Speed Window simply shows the ascending or descending speed. Normally the GPS receiver does not have a vertical speed data point but it can be derived using time and elevation. VisualGPSXP will use two data points to calculate vertical speed. Since the time and elevation is included in the GPGGA message, the vertical speed can be calculated.

The vertical speed is only a rough estimate and should not be used as authentic data.

This window may be sized and stretched to fit within the desired area. Using the right mouse button over the window will display various settings.

Vertical Speed Settings:

Max Speed

Use this selection to set the maximum vertical speed displayed.

Enable Filter

Selecting this option will enable or disable the Vertical Speed filter. This selection acts as a toggle. Please see the Instrument Filters section for more information on filters.


Communication Settings

Use the communication setting dialog to setup the serial port settings that the GPS is connected to. There are only two settings, communication port and baud rate. These settings can be set using the drop down list or by typing the exact port or baud rate. This will allow for maximum flexibility in connecting to a GPS device through a serial port.

Note: NMEA 0813 specifies that the default baud rate is 4800 baud. Some GPS receiver my have the ability to send NMEA data at higher rates. Refer to the GPS owners manual for information about the default baud rate.


Connect to NMEA File

Another means of connecting to data is simply a file. NMEA data is in text form and can be logged using VisualGPSXP or any other terminal program capable of storing RS-232 data to a file. VisualGPSXP can read through a NMEA file and use the data just as it would connected through a RS-232 communications port.

Controlling the playback speed

The playback speed may be controlled by clicking on the down arrow next to the Connect to File button. The playback speed is only applied to when connected to file. Below shows the playback speed options.

See Also:

GPS Connect


General Settings

Use the General Settings dialog to setup various settings such as position format, distance, speed and altitude. Below is short description of each field.

Distance/Speed

Sets the unit of measure for distance or speed.

Altitude/Elevation

Set the unit of measure for altitude/elevation.

Position Format

Sets the desired position format.


Instrument Filters

Some of the analog instruments have an Enable Filter option. Since the GPS data is received in slow intervals (1 or 2 seconds), it may be desirable for the instrument to slew to the new reading rather than stepping exactly to the new reading.

When filtering is enabled, the instrument is updated approximately at a 10 Hz rate. By doing this, it is possible to slew the indicator from the old reading to the new. However, there is a price to pay for filtering. First, there is a time constant placed on the filter of about 0.5-second. Therefore, it will take the indicator about 0.5 seconds to reach the new reading. Second, it takes more CPU power to update the instrument. If you have a fast computer (greater than 200MHz) and a good graphics card, than this is not a concern. If not, then the performance of VisualGPSXP may be degraded.


Network Connect

Use the Network Connect to connect to a VisualGPSXP server. VisualGPSXP can share GPS data over a network by invoking the network server. See the Network Server section for more information. Connecting to a server, GPS data can be monitored and logged through a network.

Connect to:

Specifies the computer where the connection is desired. This can be an IP address or the domain name of the server.

Port:

The port specifies the IP port where the server is located. The default for this value is 10000.


Network Server

VisualGPSXP has the capability of acting as a network server. By acting as a server, the data from the GPS receiver can be shared to others running VisualGPSXP on a network. For example, a GPS receiver is connected to the local serial port and communicating to VisualGPSXP. By enabling the Network Server option, others on the network can connect to the computer where the GPS receiver is connected. The server will allow multiple connections thus allowing many users to monitor one GPS receiver simultaneously.

When enabling the Network Server, a dialog is shown. This dialog allows the user to change various settings and are described below.

Port

The Port number is the local TCP/IP port that the server will respond to. Default is 10000.

Allow ____ connections

Since VisualGPSXP will allow multiple connections to the server, a limit may be placed on the maximum number of connections to the server. This may be desirable to regulate network traffic.

Firewalls

VisualGPSXP uses a standard TCP/IP configuration to act as a server as well as connect as a client. For the most part, a server will not be seen behind a firewall. However, clients can access a server on the Internet through a firewall. There are no special cases for individual firewall packages. If the server IP address can be seen, then a connection is possible.


National Marine Electronics Association (NMEA)

National Marine Electronics Association (NMEA)

Most GPS receivers output data using the NMEA 0813 communication standard. NMEA is a communication standard to allow navigation and position information to be exchanged between devices. VisualGPSXP uses specific NMEA sentences, GPGGA, GPGSA, GPGSV, GPRMB and GPRMC. Below is a short description on what information VisualGPSXP uses from these sentences.

GPGGA Global Positioning System Fix Data message

VisualGPSXP uses time and position (latitude, longitude and elevation) data from this sentence.

GPGSA

The GPGSA sentence provides VisualGPSXP with DOP and satellite usage information.

GPGSV

Satellite azimuth, elevation and signal quality are extracted from the GPGSV sentence. Other information such as number of satellites in view is also used.

GPRMB

Both course and speed are extracted from the GPRMB sentence.

GPRMC

Bearing, destination label and range to destination are extracted from the GPRMC sentence.


VisualGPSXP Order Form

Print this order form by selecting Print Topic from the File pull-down menu.

To order by check, send this completed order form and a check (in US dollars drawn on a US bank) payable to:

VGPS
P.O. Box 3791
Orange, California 92857
USA

All orders are subject to the License Agreement.

Customer information is considered confidential and will not be shared or distributed to any third party.

Prices are in US dollars and are guaranteed through December 2004. If you need a quote for higher quantity site licenses, please send an email to info@visualgps.net.

VisualGPSXP Single Copy at $25 each =__________

Total payment:__________

Date:_______________________________________________________

Name:_______________________________________________________

Company:_______________________________________________________

Shipping Address:_______________________________________________________

_______________________________________________________

_______________________________________________________

City, State, Zip:_______________________________________________________

Country:_______________________________________________________

Day Phone:_______________________________________________________

Email address:_______________________________________________________


VisualGPSXP Extended Proprietary NMEA Message Protocol

Document Version: 0.1 BETA

This document is currently in beta and being revised. If you have any comments or suggestion, please sent them to info@visualgps.net.

Introduction

VisualGPSXP has found itself in many applications. One of which is amateur Unmanned Aerial Vehicles (UAV). Some have asked for special features such as specific status and attitude indicators. This document will describe a special protocol (proprietary NMEA sentences) that VisualGPSXP will recognize, decode and display the data.

For those who wish to have addition information with their GPS data, can have it displayed graphically. This involves the user to provide these sentences to VisualGPSXP. Knowledge in serial protocols and programming is strongly recommended.

Protocol

The extended protocol conforms to the NMEA 0183 Standard For Interfacing Marine Electronic Devices version 3.01. It is recommended that you have a copy of this document. It can be purchased through the NMEA web site, http://www.nmea.org/.

Conventions

x.x Variable length integer or floating-point numeric field. The decimal point and associated decimal are optional if full resolution is not required.
hh Checksum field – The absolute value calculated by exclusive-oring each character between, but excluding the “$” and “*”.
a-z Label characters to indicate each field in a sentence

Extended protocol summary

Sentence | Description
PV001 | Pitch, Role, Throttle position, indicated air speed
PV002 | User Status

PV001 – Aircraft data

This data is used in the attitude indicator.

$PV001,a,b,c,d*hh<CR><LF>

a Type x.x – Pitch of aircraft. Value range -180 (pitch down) to +180.0 (pitch up), Zero (0) indicates level flight
b Type x.x – Role of aircraft. Value range from –180 (role left) to +180 (role right), Zero (0) indicates no role
c Type x.x – Throttle position. Value range 0 to 100 percent
d Type x.x – Indicated airspeed in Knots

PV002 – User Status

These statuses will be displayed in the user status window. The user will have the ability to label each status.

$PV001,a,b,c,d,e,f,g,h*hh<CR><LF>

a Type x.x – User value
b Type x.x – User value
c Type x.x – User value
d Type x.x – User value
e Type x.x – User value
f Type x.x – User value
g Type x.x – User value
h Type x.x – User value


Record NMEA Data

Enables and prompts user to enter a file name to record received NMEA data to. This file can be used later using the “Connect File” option to play back the NMEA data. The dialog also includes an option to setup the record duration.

To set the record duration, uncheck the infinite checkbox and enter the record duration in hours. If no record duration is desired, then leave this check box checked.


Registration Notice

This is the Registration Notice Dialog. This dialog will not appear if the product is registered. If you find this program useful, please register it. For more information on registration and ordering information, please go to Registration/Order Information.


Selective Acailability

The Department of Defense (DOD) using an operational mode called Selective Availability or SA can purposefully degrade the accuracy of the GPS signal. SA is designed to deny hostile forces the tactical advantage of GPS positioning. When and if, it is implemented it will be the largest component of GPS error.

Currently the DOD has temporally disabled SA.


Signal Quality Properties

Upper and Lower Threshold

It may be necessary to adjust the minimum and maximum thresholds of the SNR values so they will yield a reasonable signal quality bar. By setting these values, the signal quality bar will adjust itself accordingly.

Auto Track

The Auto Track option will self adjust the thresholds. When Auto Track is enabled, the Upper Threshold and Lower Threshold are equated to the Observed Maximum and Minimum values. When in doubt on SNR values, use this function.

Observed Minimum/Maximum

Shows the minimum and maximum values of the SNR values from the GPS receiver. To reset these values, use the right mouse button in the Signal Quality window and select the Reset Observed Min/Max menu item.

See also: Signal Quality Window and SNR (C/No)


SNR Values

Not all GPS receiver manufactures return the same SNR values for a given location or antenna. The NMEA specification for these values states that the value must fall between 0 and 99 dB. Some GPS receivers will return a value between 30 and 60 while others will return a value between 0 and 35. It may be a good idea to observe the GPS receiver’s SNR values to see where they fall. Please see Signal Quality Window to see how to find these values.

Below is a list of GPS receivers and the observed SNR values:

Garmin II, II plus and III - Minimum SNR 30 and maximum SNR of 55

Motorola Oncore VP/GT - Minimum SNR 0 and maximum SNR of 35


Survey Window Properties

The survey window has several items that can be configured. Below is a description of these items and how they can be configured. The items that reflect the display of the survey plot also are applied to printing.

Position Plot Tab

Enable Position Acquisition

When enabled, the survey window will stop acquiring position fixes.

Validate each position using GSA - Fix Available

When enabled, each position fix is validated using the GPGSA NMEA sentence. The GPGSA sentence has a parameter that indicates that the position from the GPS receiver is valid.

Plot indicator -

The Large and Small radio buttons set the size of each position sample.

When the Use Lines check box is selected, a line is drawn between each position sample.

Position Average Tab

Lat/Lon Average HDOP Threshold

Lat/Lon Average VDOP Threshold

The HDOP parameter is used to weight or place a threshold on each position fix for averaging. The threshold value will allow all Latitude and Longitude position fixes with the HDOP less than or equal to the threshold to be used in the averaging solution.

The VDOP applies to only the elevation. The VDOP Threshold will allow only the elevation samples less than or equal to the specified threshold value to be used in the averaging solution.

Both these parameters are extracted from the GPGSA NMEA sentence.

Printing Tab

Comments

Text in this field will be printed to the as comments of annotations. Up to 511 characters may be used in including carriage returns.